petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCoarsenGetType

Gets the Coarsen method type and name (as a string) from the coarsen context.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCoarsenGetType(MatCoarsen coarsen,MatCoarsenType *type)

Not collective Many br

### Input Parameter

coarsen -the coarsen context Many br

### Output Parameter

type -coarsener type Many br

Many br

Not Collective Many br

### Keywords

Coarsen, get, method, name, type

Level:intermediate
Location:src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages